@ECHO OFF
set version=2.7
CLS
:MENU
CLS
title Autotask Connectivity Diagnostic Tool v%version%
echo.
echo.
echo Autotask Connectivity Diagnostic Tool v%version%
echo.
echo.
ECHO ============= ZONE SELECTION =============
ECHO ------------------------------------------
ECHO 1.  Limited Release	(ww1.autotask.net)
ECHO 2.  Pre-Release		(ww2.autotask.net)
ECHO 3.  America East	(ww3.autotask.net)
ECHO 4.  America East 2	(ww14.autotask.net)
ECHO 5.  America West	(ww5.autotask.net)
ECHO 6.  America West 2	(ww15.autotask.net)
ECHO 7.  United Kingdom	(ww4.autotask.net)
ECHO 8.  United Kingdom 2	(ww16.autotask.net)
ECHO 9.  Australia		(ww6.autotask.net)
ECHO 10. German		(ww18.autotask.net)
ECHO 11. EU1 English (ww19.autotask.net)
ECHO 12. UK Limited Release		(ww17.autotask.net)
ECHO ------------------------------------------
ECHO ============ PRESS 'Q' TO QUIT ===========
ECHO.

SET INPUT=
SET /P INPUT=Please select your zone:

IF /I '%INPUT%'=='1' GOTO Selection1
IF /I '%INPUT%'=='2' GOTO Selection2
IF /I '%INPUT%'=='3' GOTO Selection3
IF /I '%INPUT%'=='4' GOTO Selection4
IF /I '%INPUT%'=='5' GOTO Selection5
IF /I '%INPUT%'=='6' GOTO Selection6
IF /I '%INPUT%'=='7' GOTO Selection7
IF /I '%INPUT%'=='8' GOTO Selection8
IF /I '%INPUT%'=='9' GOTO Selection9
IF /I '%INPUT%'=='10' GOTO Selection10
IF /I '%INPUT%'=='11' GOTO Selection11
IF /I '%INPUT%'=='12' GOTO Selection12
IF /I '%INPUT%'=='Q' GOTO Quit

CLS
echo.
echo.
ECHO ============ INVALID INPUT ============
ECHO ---------------------------------------
ECHO Please select your zone from the Main
echo Menu or press 'Q' to quit.
ECHO ---------------------------------------
ECHO ====== PRESS ANY KEY TO CONTINUE ======

PAUSE > NUL
GOTO MENU

:Selection1
set zonename=Limited Release
set zone=LR
set url=ww1
GOTO DOTASK

:Selection2
set zonename=Pre-Release
set zone=PR
set url=ww2
GOTO DOTASK

:Selection3
set zonename=America East
set zone=AE
set url=ww3
GOTO DOTASK

:Selection4
set zonename=America East 2
set zone=AE2
set url=ww14
GOTO DOTASK

:Selection5
set zonename=America West
set zone=AW
set url=ww5
GOTO DOTASK

:Selection6
set zonename=America West 2
set zone=AW2
set url=ww15
GOTO DOTASK

:Selection7
set zonename=United Kingdom
set zone=UK
set url=ww4
GOTO DOTASK

:Selection8
set zonename=United Kingdom 2
set zone=UK2
set url=ww16
GOTO DOTASK

:Selection9
set zonename=Australia
set zone=AU
set url=ww6
GOTO DOTASK

:Selection10
set zonename=German
set zone=DE1
set url=ww18
GOTO DOTASK

:Selection11
set zonename=EU1 English
set zone=eu1
set url=ww19
GOTO DOTASK

:Selection12
set zonename=UKLR
set zone=uklr
set url=ww17
GOTO DOTASK


:DOTASK
:PROMPT
CLS
title Autotask Connectivity Diagnostic Tool v%version% - %zonename%
echo.
echo.
echo This utility will gather diagnostic information and run connectivity tests
echo.
SET TEST=
SET /P TEST=Would you like to start the test? (Y/N):

IF /I '%TEST%'=='Y' GOTO RUN
IF /I '%TEST%'=='N' GOTO MENU
GOTO PROMPT

:RUN
@echo off
set logpath=logs\
set logfile=Autotask_CDT_%date:~-10,2%%date:~-7,2%%date:~-4,4%_%time:~1,1%%time:~3,2%%time:~6,2%.log
echo Autotask Connectivity Diagnostic Tool v%version% - %zonename%  > %logpath%%logfile%
echo File: %logfile%   Zone: %zone%   URL: %url% >> %logpath%%logfile%
echo.
echo.
echo Collecting IP information...
echo ---------------------- >> %logpath%%logfile%
echo Local network adaptors >> %logpath%%logfile%
echo ---------------------- >> %logpath%%logfile%
ipconfig /all >> %logpath%%logfile%
echo.
echo.
echo Flushing DNS cache...
ipconfig /flushdns >> %logpath%%logfile% 2>&1
echo.
echo.
echo. >> %logpath%%logfile%
echo. >> %logpath%%logfile%
echo Checking name resolution...
echo ----------------------------- >> %logpath%%logfile%
echo DNS results from local server >> %logpath%%logfile%
echo ----------------------------- >> %logpath%%logfile%
nslookup %url%.autotask.net >> %logpath%%logfile% 2>&1
nslookup %zone%.autotask.net >> %logpath%%logfile% 2>&1
echo.
echo.
echo. >> %logpath%%logfile%
echo. >> %logpath%%logfile%
echo Checking network connectivity...
echo -------------------- >> %logpath%%logfile%
echo Network ping results >> %logpath%%logfile%
echo -------------------- >> %logpath%%logfile%
ping -a %url%.autotask.net >> %logpath%%logfile%
ping -a %zone%.autotask.net >> %logpath%%logfile%
echo.
echo.
echo. >> %logpath%%logfile%
echo. >> %logpath%%logfile%
echo ------------->> %logpath%%logfile%
echo Trace Routes >> %logpath%%logfile%
echo ------------->> %logpath%%logfile%
echo Performing Trace Routes...  (this may take a few minutes)
tracert -w 1000 %url%.autotask.net >> %logpath%%logfile%
tracert -w 1000 %zone%.autotask.net >> %logpath%%logfile%
echo. >> %logpath%%logfile%
echo. >> %logpath%%logfile%

echo File: %logfile%   Zone: %zone%   URL: %url%   %date%   %time% >> %logpath%%logfile%
CLS
echo.
echo.
ECHO =============== THANK YOU ===============
ECHO -----------------------------------------
ECHO All tests completed successfully.
ECHO Please send all files located in the logs
ECHO directory to Autotask Product Support.
ECHO -----------------------------------------
ECHO ========= PRESS ANY KEY TO EXIT =========

PAUSE>NUL
:Quit
CLS
EXIT
